# $Revision: 1.15 $, $Date: 2004/05/24 20:46:50 $
Summary:	XMMS - iris visualization plugin
Summary(pl):	XMMS - wtyczka do wizualizacji iris
Name:		xmms-visualization-iris
Version:	0.12
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://cdelfosse.free.fr/xmms-iris/iris-%{version}.tar.gz
# Source0-md5:	f867afc759744bb3d98949af9cfd03e6
URL:		http://cdelfosse.free.fr/xmms-iris/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	OpenGL
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Iris visualization plugin for XMMS.

%description -l pl
Wtyczka do wizualizacji iris dla XMMS.

%prep
%setup -q -n iris-%{version}

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{xmms_visualization_plugindir}/libiris.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-visualization-iris.spec,v $
Revision 1.15  2004/05/24 20:46:50  kolodko
- updated to 0.12

Revision 1.14  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.13  2003/05/28 13:03:10  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:28:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/31 17:55:33  kosmo
- updated to 0.11

Revision 1.10  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.9  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/06/14 20:19:39  kloczek
- use new %doc and more macros.

Revision 1.7  2002/06/11 19:12:03  kosmo

New Version: 0.10

Revision 1.6  2002/05/21 23:15:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/13 10:47:34  kloczek
- release 2.

Revision 1.4  2002/05/13 10:23:28  qboosh
- typo, standarized OpenGL requirments

Revision 1.3  2002/05/12 12:01:41  kloczek
- added URL and Source url,
- added full regenerate ac/am/lt files and use %%configure macro.

Revision 1.2  2002/05/12 11:48:50  kloczek
- removed redundant BuildRequires rules.

Revision 1.1  2002/05/12 11:01:27  misiek
- spec by <kosmo0@wp.pl>; requires more changes and cleanups
